<template>
  <main id="specific-news">
    <div class="big-container color-container news-container">
      <div class="small-container">
        <MascotPointing class="d-none d-sm-inline"></MascotPointing>

        <NewsArticle :key="article.id" :article="article" heading-type="h1"></NewsArticle>
      </div>
    </div>

    <NewsSubscribe class="mt-5"></NewsSubscribe>

    <div class="text-center mt-5">
      <router-link to="/news" class="jpt-primary-button jpt-link-button">
        {{ $gettext('See all PeerTube news') }}
      </router-link>
    </div>
  </main>
</template>

<script>
  import { defineComponent } from 'vue'
  import { useRoute } from 'vue-router'

  import { useGettext } from 'vue3-gettext'
  import { useHead } from '@vueuse/head'

  import NewsArticle from './NewsArticle.vue'
  import NewsSubscribe from './NewsSubscribe.vue'

  import { buildHeadArticle } from '../../shared/head'

  import MascotPointing from '../../svg/mascot/pointing.svg'

  import { getShortLocale } from '../../shared/i18n'
  import newsMeta from '../../news/meta.json'

  export default defineComponent({
    components: {
      NewsArticle,
      NewsSubscribe,
      MascotPointing
    },

    props: {
      article: Object
    },

    setup (props) {
      const route = useRoute()
      const { current } = useGettext()

      const buildImageUrl = img => {
        if (!img) return img
        if (img.startsWith('http://') || img.startsWith('https://')) return img

        return import.meta.env.VITE_URL + img
      }

      const newsMetaLocale = getShortLocale(current) === 'fr'
        ? newsMeta.fr
        : newsMeta.en

      const meta = newsMetaLocale.find(m => m.id === route.meta.id)

      useHead({
        ...buildHeadArticle({
          title: meta.title,
          description: meta.shortDescription,
          url: import.meta.env.VITE_URL + '/news/' + route.meta.id,
          publishedDate: props.article.date,
          image: buildImageUrl(meta.image)
        })
      })
    }
  })
</script>

<style lang="scss" scoped>
  @import '../../scss/_variables.scss';
  @import '../../scss/_mixins.scss';
  @import '../../scss/bootstrap-mixins.scss';

  .news-container {
    @include media-breakpoint-down(sm) {
      padding-inline-start: 0;
      padding-inline-end: 0;
    }
  }

  .small-container {
    position: relative;

    svg {
      position: absolute;
      max-width: 160px;
      right: 0;
      top: -50px;
      transform: rotateY(180deg);
      height: auto;
    }
  }
</style>
